package cz.moneta.test.dsl.ufo.banka.pages.main.codelists;

import cz.moneta.test.harness.support.web.DynamicPathPart;

public enum HCisProductClass implements DynamicPathPart {
    CURRENT_ACCOUNT("12"),
    SAVINGS_ACCOUNT("13"),
    ONETIME_TERM_DEPOSIT("14"),
    FLEXIKREDIT("15"),
    EXPRESS("16"),
    MONETA_BUSINESS_CARD("25"),
    DEBIT_CARD("27"),
    CREDIT_CARD("29"),
    MUTUAL_FUNDS("30"),
    ADC_IB_MK("34"),
    BANKKLIENT("35"),
    BUILDING_SAVINGS("43"),
    CONSOLIDATION("58"),
    ONE_CLICK("61"),
    SME_AUTOMATS("68"),
    INSURANCE("77"),
    ADC_SBA("70"),
    UNIVERSAL_REQUEST("86"),
    EXPRESS_PLUS("92"),
    TOM_JUNIOR_ACCOUNT("61");

    private final String value;

    HCisProductClass(String value) {
        this.value = value;
    }

    public String getValue() {
        return value;
    }
}
